Subject: Re: bug#53547: Error sending email with OpenSMTPD, fatal: time_to_text: bsnprintf

From: Timmy Douglas <[email-masked]>
Date: Wed, 22 Nov 2023 16:03:40 -0800

Nathan <[email-masked]> writes:

> I don't have this problem on my server.
>
> I looked at your github issue page.
> Those macros are defined by the `configure' script.
> I can see that guix's `configure' output defines HAVE_STRUCT_TM_TM_GMTOFF in config.h.
> (if neither of the #if match, then the `tz' pointer is likely garbage and the program will crash.)
>
> A problem with your time zone configuration seems like a reasonable guess.
> I'd check it with a simple C program like the one attached.

your app prints my timezone as expected. if you run something like this
does it work for you?

cat << EOF | /run/setuid-programs/sendmail $(whoami)
To: $(whoami)
Subject: test

blah
EOF

for me, it prints:

sendmail: time_to_text: bsnprintf

my config.scm:

(operating-system
  ...
  (setuid-programs
   (append (list (setuid-program
                  (program (file-append opensmtpd "/sbin/smtpctl"))
		 (setuid? #f)
		 (setgid? #t)
		 (user "root")
		 (group "smtpq"))
		(setuid-program
                  (program (file-append opensmtpd "/sbin/sendmail"))
		 (setuid? #f)
		 (setgid? #t)
		 (user "root")
		 (group "smtpq")))
           %setuid-programs))